
$(document).ready(function(){
	var data = "expedisi/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi").html('');
		$("#error_alamat").html('');
		$("#error_pic").html('');
		$("#error_hp").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "expedisi/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_ekspedisi").html(hasil.error.ekspedisi);
					$("#error_alamat").html(hasil.error.alamat);
					$("#error_pic").html(hasil.error.pic);
					$("#error_hp").html(hasil.error.hp);
				} else {
					$('#modal-tambah').modal('hide');
					$("#ekspedisi").val('');
					$("#alamat").val('');
					$("#pic").val('');
					$("#hp").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('expedisi/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi").html('');
		$("#error_alamat").html('');
		$("#error_pic").html('');
		$("#error_hp").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "expedisi/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_ekspedisi").html(hasil.error.edit_ekspedisi);
					$("#error_edit_alamat").html(hasil.error.edit_alamat);
					$("#error_edit_pic").html(hasil.error.edit_pic);
					$("#error_edit_hp").html(hasil.error.edit_hp);
				} else {
					$('#modal-edit').modal('hide');
					$("#ekspedisi").val('');
					$("#alamat").val('');
					$("#pic").val('');
					$("#hp").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});